package org.prlab.idic.privacypolicy.ble;

import android.bluetooth.BluetoothDevice;
import android.bluetooth.BluetoothGatt;
import android.bluetooth.BluetoothGattCharacteristic;
import android.bluetooth.BluetoothGattDescriptor;

/**
 * Created by IDIC on 2017/2/21.
 */
public interface BLECustomScript {

    void onDiscoverServiceCompleted(BluetoothGatt gatt);
    void onWriteCharacteristicCompleted(BluetoothGatt gatt, BluetoothGattCharacteristic characteristic, int status, byte[] values);
    void onReadCharacteristicCompleted(BluetoothGatt gatt, BluetoothGattCharacteristic characteristic, int status, byte[] values);
    void onWriteDescriptorCompleted(BluetoothGatt gatt, BluetoothGattDescriptor descriptor, int status, byte[] values);
    void onReadDescriptorCompleted(BluetoothGatt gatt, BluetoothGattDescriptor descriptor, int status, byte[] values);
    void onPairRequestReceived(BluetoothDevice device, int pin);
    void onPaired(BluetoothDevice device);
    void onUnpaired(BluetoothDevice device);

}
