package org.prlab.idic.privacypolicy.ble;

/**
 * Created by IDIC on 2017/1/20.
 */

public class BluetoothDeviceInformation {

    private String name;
    private String address;
    private int rssi;
    private boolean isBonded;
    private String reportUUID;

    public BluetoothDeviceInformation() {
    }

    public String getName() {
        return name;
    }

    public BluetoothDeviceInformation setName(String name) {
        this.name = name;
        return this;
    }

    public String getAddress() {
        return address;
    }

    public BluetoothDeviceInformation setAddress(String address) {
        this.address = address;
        return this;
    }

    public int getRssi() {
        return rssi;
    }

    public BluetoothDeviceInformation setRssi(int rssi) {
        this.rssi = rssi;
        return this;
    }

    public boolean isBonded() {
        return isBonded;
    }

    public BluetoothDeviceInformation setBonded(boolean bonded) {
        isBonded = bonded;
        return this;
    }

    public String getReportUUID() {
        return reportUUID;
    }

    public BluetoothDeviceInformation setReportUUID(String reportUUID) {
        this.reportUUID = reportUUID;
        return this;
    }

    @Override
    public boolean equals(Object obj) {
        return obj instanceof BluetoothDeviceInformation &&
                getAddress() != null &&
                getAddress().equals(((BluetoothDeviceInformation) obj).address);
    }

    @Override
    public int hashCode() {
        return String.valueOf(getAddress()).hashCode();
    }

    @Override
    public String toString() {
        return "{" +
                "\"name\" : \"" + String.valueOf(name) +
                "\", \"address\" : \"" + String.valueOf(address) +
                "\", \"rssi\" : " + String.valueOf(rssi) +
                "\", \"isAllowed\" : " + String.valueOf(null == reportUUID) +
                "\", \"isBonded\" : " + String.valueOf(isBonded) +
                "}";
    }
}
