package org.prlab.idic.privacypolicy.pojo.report;

/**
 * Created by IDIC on 2017/2/23.
 */
public class InfoItem {

    private String key;
    private String value;

    public InfoItem() {
    }

    public String getKey() {
        return key;
    }

    public InfoItem setKey(String key) {
        this.key = key;
        return this;
    }

    public String getValue() {
        return value;
    }

    public InfoItem setValue(String value) {
        this.value = value;
        return this;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        InfoItem infoItem = (InfoItem) o;

        if (key != null ? !key.equals(infoItem.key) : infoItem.key != null) return false;
        return value != null ? value.equals(infoItem.value) : infoItem.value == null;
    }

    @Override
    public int hashCode() {
        int result = key != null ? key.hashCode() : 0;
        result = 31 * result + (value != null ? value.hashCode() : 0);
        return result;
    }

}
