package org.prlab.idic.privacypolicy.pojo.report;


import org.prlab.idic.privacypolicy.pojo.report.device.Device;

import java.util.HashMap;
import java.util.Map;

/**
 * Created by IDIC on 2017/2/13.
 */
public class PrivacyPolicyReport {

    private String version;
    private String description;
    private Device device;
    private Map<Integer, PrivacyPolicy> policies = new HashMap<>();
    private Layer root;

    public String getVersion() {
        return version;
    }

    public PrivacyPolicyReport setVersion(String version) {
        this.version = version;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public PrivacyPolicyReport setDescription(String description) {
        this.description = description;
        return this;
    }

    public Device getDevice() {
        return device;
    }

    public PrivacyPolicyReport setDevice(Device device) {
        this.device = device;
        return this;
    }

    public Map<Integer, PrivacyPolicy> getPolicies() {
        return policies;
    }

    public PrivacyPolicyReport setPolicies(Map<Integer, PrivacyPolicy> policies) {
        this.policies = policies;
        return this;
    }

    public PrivacyPolicyReport addPrivacyPolicy(PrivacyPolicy policy) {
        if (null != policies) this.policies.put(policy.getId(), policy);
        return this;
    }

    public Layer getRoot() {
        return root;
    }

    public PrivacyPolicyReport setRoot(Layer root) {
        this.root = root;
        return this;
    }
}
