package org.prlab.idic.privacypolicy.pojo.report.device;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by IDIC on 2017/2/22.
 */
public class Manufacturer implements Parcelable {

    private String name;
    private String url;
    private String serialNumber;

    public Manufacturer() {
    }

    private Manufacturer(Parcel in) {
        name = in.readString();
        url = in.readString();
        serialNumber = in.readString();
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(name);
        dest.writeString(url);
        dest.writeString(serialNumber);
    }

    public static final Creator<Manufacturer> CREATOR = new Creator<Manufacturer>() {
        @Override
        public Manufacturer createFromParcel(Parcel in) {
            return new Manufacturer(in);
        }

        @Override
        public Manufacturer[] newArray(int size) {
            return new Manufacturer[size];
        }
    };

    public String getName() {
        return name;
    }

    public Manufacturer setName(String name) {
        this.name = name;
        return this;
    }

    public String getUrl() {
        return url;
    }

    public Manufacturer setUrl(String url) {
        this.url = url;
        return this;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public Manufacturer setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
        return this;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        Manufacturer that = (Manufacturer) o;

        if (name != null ? !name.equals(that.name) : that.name != null) return false;
        if (url != null ? !url.equals(that.url) : that.url != null) return false;
        return serialNumber != null ? serialNumber.equals(that.serialNumber) : that.serialNumber == null;
    }

    @Override
    public int hashCode() {
        int result = name != null ? name.hashCode() : 0;
        result = 31 * result + (url != null ? url.hashCode() : 0);
        result = 31 * result + (serialNumber != null ? serialNumber.hashCode() : 0);
        return result;
    }
}
